<template>
  <div class="mapChart">
    <div class="leftChart">
      <map-chart></map-chart>
    </div>
    <div :class="$store.state.setScreenFlag ? 'rightMapActive' : 'rightMap'">
      <map-view></map-view>
    </div>
  </div>
</template>

<script>
import mapChart from "./../mapChart/index.vue";
import mapView from "./../mapView/index.vue";
export default {
  components: {
    mapChart,
    mapView
  },
  mounted() {}
};
</script>

<style>
.mapChart {
  width: 100%;
  height: 100%;
  display: flex;
  overflow:hidden;
}
.leftChart {
  flex: 1;
}
.rightMapActive {
  width: 50%;
  height: 100%;
  transition: 1s ease-out;
}
.rightMap {
  width: 0%;
  height: 100%;
  transition: 1s;
}
.chartHeader {
  width: 100%;
  height: 38px;
}
</style>
